# setLocalRenderParams method Null safety

Future<void> setLocalRenderParams(

1. TRTCRenderParams renderParams

)

Set the rendering mode of local image

Parameters:

renderParams: rendering parameters (fill mode, rotation angle, mirror mode, etc.). For more information, please see the definition of the `TRTCRenderParams` parameter in `trtc_cloud.def.dart`

## Implementation

    Future<void> setLocalRenderParams(TRTCRenderParams renderParams) {
      return _channel.invokeMethod('setLocalRenderParams', {
        "param": jsonEncode(renderParams),
      });
    }